| Extracted from Pike v7.8 release 866 at 2018-07-18.

[Top]
Tools
Tools.AutoDoc
Tools.AutoDoc.PikeObjects
Tools.AutoDoc.PikeObjects.Enum

# Class Tools.AutoDoc.PikeObjects.Enum

Description

  The enum container.

Inherit PikeObject

  inherit PikeObject : PikeObject

Constant objtype

  `constant Tools.AutoDoc.PikeObjects.Enum.objtype`

Variable documentation

  `Documentation Tools.AutoDoc.PikeObjects.Enum.documentation`

Description

  Mimic the `class { ... }` behaviour.

Variable children

  `array(DocGroup) Tools.AutoDoc.PikeObjects.Enum.children`

Description

  The set of children.